# Manuel de l'utilisateur de KDE

&Lauri.Watts; &Lauri.Watts.mail;
7 juin 2005
Environnement de bureau KDE
kdesu
1

# `kdesu`

Exécute un programme avec des privilèges élevés

    kdesu -c -d -f  fichier -i  nom de l'icône -n -p  priorité -r -s -t -u  user --nonewdcop commande arg1 arg2

    kdesu options génériques KDE options génériques Qt

## Description

&kdesu; est une interface graphique pour la commande &UNIX; `su` pour l'environnement de bureau KDE. Elle vous permet d'exécuter un programme en tant qu'utilisateur différent en fournissant le mot de passe de cet utilisateur. &kdesu; est un programme sans privilèges. Il utilise la commande `su` du système.

&kdesu; possède une caractéristique supplémentaire. Il peut éventuellement se souvenir des mots de passe pour vous. Si vous utilisez cette caractéristique, vous n'aurez à saisir le mot de passe qu'une fois pour chaque commande.

Le programme est conçu pour se lancer depuis la ligne de commande ou des fichiers `.desktop`.

## Options

`-c programme`

  Ceci spécifie le programme à lancer en tant que superutilisateur. Il doit être passé comme un seul argument. Ainsi, par exemple, si vous voulez lancer un nouveau gestionnaire de fichiers, vous saisirez la commande : ``kdesu `-c kfm -sw```

`-d`

  Affiche les informations de débogage.

`-f fichier`

  Cette option permet une utilisation efficace de &kdesu; dans les fichiers `.desktop`. Elle dit à &kdesu; d'examiner le fichier spécifié par l'argument `fichier`. Si ce fichier est accessible en écriture par l'utilisateur courant, &kdesu; exécutera la commande pour le compte de l'utilisateur courant. Si ce n'est pas le cas, la commande sera exécutée pour le compte de l'utilisateur `user` (par défaut root).

  `fichier` est évalué comme suit : si `fichier` commence par un `/`, il est considéré comme un nom de fichier absolu. Autrement, il est considéré comme étant le nom d'un fichier de configuration global de &kde;. Par exemple, pour configurer le gestionnaire d'affichage kdm, vous pouvez utiliser `kdesu `-c kdmconfig -f kdmrc``

-f nom de l'icône

  Spécifie l'icône à utiliser dans la boîte de dialogue de mot de passe. Spécifiez juste le nom, sans l'extension.

`-n`

  Ne conserve pas le mot de passe. Ceci désactive la case à cocher conserver le mot de passe dans la boîte de dialogue correspondante.

`-p` priorité

  Règle la valeur de la priorité. La priorité est un nombre arbitraire entre 0 et 100, où 100 signifie la priorité la plus haute, et 0 la plus basse. La valeur par défaut est 50.

`-r`

  Utilise l'ordonnancement temps réel.

`-s`

  Arrête le démon de kdesu. Il s'agit du démon qui cache les mot de passe corrects en tâche de fond. Cette caractéristique peut être désactivée avec `-n` lorsque &kdesu; est initialement lancé.

`-t`

  Active la sortie sur le terminal. Ceci désactive la conservation des mots de passe. Cette option sert principalement pour le débogage ; si vous voulez lancer une application en mode console, utilisez plutôt le `su` standard.

`-u` user

  Alors que l'utilisation la plus courante de &kdesu; est d'exécuter une commande en superutilisateur, vous pouvez indiquer n'importe quel nom d'utilisateur et le mot de passe approprié.

## Voir aussi

su(1)

Une documentation plus détaillée est disponible avec help;.kdesu (soit en saisissant l'URL dans &konqueror;, soit en exécutant ``khelpcenter``help:/kdesu``).

## Exemples

Exécuter `kfmclient` en tant qu'utilisateur alain, et afficher l'icône de &konqueror; dans la boîte de dialogue de mot de passe :

    kdesu -u alain -i konqueror kfmclient

## Auteurs

&kdesu; a été écrit par Geert Jansen jansen@kde.org et Pietro Iglio iglio@fub.it.